Bug 142017 - [patch] security/logcheck: update to version 1.2.69
Summary: [patch] security/logcheck: update to version 1.2.69
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-25 17:10 UTC by Boris Samorodov
Modified: 2010-01-18 22:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2009-12-25 17:10:00 UTC
	The new stable version 1.2.69 is available at Debian-lenny.

Fix: 

-- 
WBR, bsam--vA3guJPa4VCPCdN3O0rOlv8HtA7MoJIeEKblDo2Nv8LhK4rn
Content-Type: text/plain; name="logcheck.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="logcheck.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/security/logcheck/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- Makefile	18 Dec 2009 01:31:18 -0000	1.28
+++ Makefile	25 Dec 2009 17:00:00 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	logcheck
-PORTVERSION=	1.2.54
-PORTREVISION=	5
+PORTVERSION=	1.2.69
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_DEBIAN_POOL}
 DISTNAME=	${PORTNAME}_${PORTVERSION}
@@ -38,7 +37,7 @@
 		ignore.d.workstation violations.d violations.ignore.d
 DOCS=		AUTHORS CHANGES CREDITS LICENSE TODO docs/README*
 PORTDOCS=	${DOCS:T}
-MAN8=		logcheck.8 logtail.8
+MAN8=		logcheck.8 logtail.8 logtail2.8
 
 PATCH_LIST=	extra-patch-debian__logcheck.cron.d \
 		extra-patch-docs__logcheck.8 \
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/security/logcheck/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- distinfo	7 Sep 2008 01:31:55 -0000	1.6
+++ distinfo	25 Dec 2009 17:00:00 -0000
@@ -1,3 +1,3 @@
-MD5 (logcheck_1.2.54.tar.gz) = bbb6fce8987503d7677441d7154fb598
-SHA256 (logcheck_1.2.54.tar.gz) = a15c177211bbd12cef482a0b8fbdd6d32bc6ff7172f0ec54257ca1c68f921b3a
-SIZE (logcheck_1.2.54.tar.gz) = 141094
+MD5 (logcheck_1.2.69.tar.gz) = 7d1671e762d3b99fb1832e0c01edf9fe
+SHA256 (logcheck_1.2.69.tar.gz) = c1c8438f098d09554a857c68db09f4076b7a868818fb9e5d158a802127176ecf
+SIZE (logcheck_1.2.69.tar.gz) = 145023
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/security/logcheck/pkg-plist,v
retrieving revision 1.11
diff -u -r1.11 pkg-plist
--- pkg-plist	11 Sep 2008 00:30:08 -0000	1.11
+++ pkg-plist	25 Dec 2009 17:00:00 -0000
@@ -2,6 +2,7 @@
 %%ETCDIR%%/cracking.d/smartd
 %%ETCDIR%%/ignore.d.paranoid/bind
 %%ETCDIR%%/ignore.d.paranoid/cron
+%%ETCDIR%%/ignore.d.paranoid/incron
 %%ETCDIR%%/ignore.d.paranoid/logcheck
 %%ETCDIR%%/ignore.d.paranoid/postfix
 %%ETCDIR%%/ignore.d.paranoid/ppp
@@ -12,6 +13,7 @@
 %%ETCDIR%%/ignore.d.paranoid/sysklogd
 %%ETCDIR%%/ignore.d.paranoid/telnetd
 %%ETCDIR%%/ignore.d.paranoid/tripwire
+%%ETCDIR%%/ignore.d.server/acpid
 %%ETCDIR%%/ignore.d.server/amandad
 %%ETCDIR%%/ignore.d.server/anacron
 %%ETCDIR%%/ignore.d.server/anon-proxy
@@ -31,20 +33,25 @@
 %%ETCDIR%%/ignore.d.server/cvsd
 %%ETCDIR%%/ignore.d.server/cyrus
 %%ETCDIR%%/ignore.d.server/dcc
+%%ETCDIR%%/ignore.d.server/ddclient
 %%ETCDIR%%/ignore.d.server/dhclient
 %%ETCDIR%%/ignore.d.server/dhcp
 %%ETCDIR%%/ignore.d.server/dictd
 %%ETCDIR%%/ignore.d.server/dkfilter
+%%ETCDIR%%/ignore.d.server/dkim-filter
 %%ETCDIR%%/ignore.d.server/dnsmasq
 %%ETCDIR%%/ignore.d.server/dovecot
 %%ETCDIR%%/ignore.d.server/dspam
 %%ETCDIR%%/ignore.d.server/epmd
 %%ETCDIR%%/ignore.d.server/exim4
+%%ETCDIR%%/ignore.d.server/ftpd
+%%ETCDIR%%/ignore.d.server/gnu-imap4d
 %%ETCDIR%%/ignore.d.server/gps
 %%ETCDIR%%/ignore.d.server/grinch
 %%ETCDIR%%/ignore.d.server/horde3
 %%ETCDIR%%/ignore.d.server/hplip
 %%ETCDIR%%/ignore.d.server/hylafax
+%%ETCDIR%%/ignore.d.server/ikiwiki
 %%ETCDIR%%/ignore.d.server/imap
 %%ETCDIR%%/ignore.d.server/imapproxy
 %%ETCDIR%%/ignore.d.server/imp
@@ -55,6 +62,8 @@
 %%ETCDIR%%/ignore.d.server/isdnutils
 %%ETCDIR%%/ignore.d.server/jabberd
 %%ETCDIR%%/ignore.d.server/kernel
+%%ETCDIR%%/ignore.d.server/krb5-kdc
+%%ETCDIR%%/ignore.d.server/libpam-mount
 %%ETCDIR%%/ignore.d.server/logcheck
 %%ETCDIR%%/ignore.d.server/lpr
 %%ETCDIR%%/ignore.d.server/maradns
@@ -68,6 +77,7 @@
 %%ETCDIR%%/ignore.d.server/ntp
 %%ETCDIR%%/ignore.d.server/oidentd
 %%ETCDIR%%/ignore.d.server/openvpn
+%%ETCDIR%%/ignore.d.server/otrs
 %%ETCDIR%%/ignore.d.server/pdns
 %%ETCDIR%%/ignore.d.server/perdition
 %%ETCDIR%%/ignore.d.server/policyd
@@ -76,7 +86,9 @@
 %%ETCDIR%%/ignore.d.server/postfix-policyd
 %%ETCDIR%%/ignore.d.server/ppp
 %%ETCDIR%%/ignore.d.server/pptpd
+%%ETCDIR%%/ignore.d.server/procmail
 %%ETCDIR%%/ignore.d.server/proftpd
+%%ETCDIR%%/ignore.d.server/puppetd
 %%ETCDIR%%/ignore.d.server/pure-ftpd
 %%ETCDIR%%/ignore.d.server/qpopper
 %%ETCDIR%%/ignore.d.server/rbldnsd
@@ -86,10 +98,13 @@
 %%ETCDIR%%/ignore.d.server/sa-exim
 %%ETCDIR%%/ignore.d.server/samba
 %%ETCDIR%%/ignore.d.server/saned
+%%ETCDIR%%/ignore.d.server/sasl2-bin
 %%ETCDIR%%/ignore.d.server/saslauthd
+%%ETCDIR%%/ignore.d.server/schroot
 %%ETCDIR%%/ignore.d.server/scponly
 %%ETCDIR%%/ignore.d.server/slapd
 %%ETCDIR%%/ignore.d.server/smartd
+%%ETCDIR%%/ignore.d.server/smbd_audit
 %%ETCDIR%%/ignore.d.server/smokeping
 %%ETCDIR%%/ignore.d.server/snmpd
 %%ETCDIR%%/ignore.d.server/snort
@@ -100,17 +115,23 @@
 %%ETCDIR%%/ignore.d.server/stunnel
 %%ETCDIR%%/ignore.d.server/sympa
 %%ETCDIR%%/ignore.d.server/syslogd
+%%ETCDIR%%/ignore.d.server/teapop
+%%ETCDIR%%/ignore.d.server/telnetd
 %%ETCDIR%%/ignore.d.server/tftpd
 %%ETCDIR%%/ignore.d.server/thy
 %%ETCDIR%%/ignore.d.server/ucd-snmp
+%%ETCDIR%%/ignore.d.server/upsd
 %%ETCDIR%%/ignore.d.server/uptimed
 %%ETCDIR%%/ignore.d.server/userv
+%%ETCDIR%%/ignore.d.server/vsftpd
 %%ETCDIR%%/ignore.d.server/watchdog
 %%ETCDIR%%/ignore.d.server/webmin
+%%ETCDIR%%/ignore.d.server/wu-ftpd
 %%ETCDIR%%/ignore.d.server/xinetd
 %%ETCDIR%%/ignore.d.workstation/automount
 %%ETCDIR%%/ignore.d.workstation/bind
 %%ETCDIR%%/ignore.d.workstation/bluez-utils
+%%ETCDIR%%/ignore.d.workstation/bluetooth-alsa
 %%ETCDIR%%/ignore.d.workstation/bonobo
 %%ETCDIR%%/ignore.d.workstation/francine
 %%ETCDIR%%/ignore.d.workstation/gconf
@@ -135,6 +156,7 @@
 %%ETCDIR%%/ignore.d.workstation/wdm
 %%ETCDIR%%/ignore.d.workstation/winbind
 %%ETCDIR%%/ignore.d.workstation/xdm
+%%ETCDIR%%/ignore.d.workstation/xlockmore
 %%ETCDIR%%/logcheck.conf.sample
 %%ETCDIR%%/logcheck.logfiles.sample
 %%ETCDIR%%/violations.d/kernel
@@ -156,11 +178,13 @@
 %%ETCDIR%%/violations.ignore.d/logcheck-mon
 %%ETCDIR%%/violations.ignore.d/logcheck-nagios
 %%ETCDIR%%/violations.ignore.d/logcheck-openvpn
+%%ETCDIR%%/violations.ignore.d/logcheck-passwd
 %%ETCDIR%%/violations.ignore.d/logcheck-pdns
 %%ETCDIR%%/violations.ignore.d/logcheck-postfix
 %%ETCDIR%%/violations.ignore.d/logcheck-proftpd
 %%ETCDIR%%/violations.ignore.d/logcheck-pureftp
 %%ETCDIR%%/violations.ignore.d/logcheck-samba
+%%ETCDIR%%/violations.ignore.d/logcheck-sasl2-bin
 %%ETCDIR%%/violations.ignore.d/logcheck-saslauthd
 %%ETCDIR%%/violations.ignore.d/logcheck-sendmail_tmp
 %%ETCDIR%%/violations.ignore.d/logcheck-smartd
Index: files/extra-patch-src__logcheck.in
===================================================================
RCS file: /home/pcvs/ports/security/logcheck/files/extra-patch-src__logcheck.in,v
retrieving revision 1.1
diff -u -r1.1 extra-patch-src__logcheck.in
--- files/extra-patch-src__logcheck.in	18 Dec 2009 01:31:19 -0000	1.1
+++ files/extra-patch-src__logcheck.in	25 Dec 2009 17:00:00 -0000
@@ -35,7 +35,7 @@
 -STATEDIR="/var/lib/logcheck"
 -LOGFILES_LIST="/etc/logcheck/logcheck.logfiles"
 -LOGFILE_FALLBACK="/var/log/syslog"
--LOGTAIL="/usr/sbin/logtail"
+-LOGTAIL="/usr/sbin/logtail2"
 +RULEDIR="%%ETCDIR%%"
 +CONFFILE="%%ETCDIR%%/logcheck.conf"
 +STATEDIR="/var/db/logcheck"
@@ -172,7 +172,7 @@
  fi
  
  # Create the secure temporary directory or exit
--TMPDIR=$(mktemp -d -p /tmp logcheck.XXXXXX) \
+-TMPDIR=$(mktemp -d -p ${TMP:-/tmp} logcheck.XXXXXX) \
 -    || TMPDIR=$(mktemp -d -p /var/tmp logcheck.XXXXXX) \
 +TMPDIR=$(mktemp -d /tmp/logcheck.XXXXXX) \
 +    || TMPDIR=$(mktemp -d /var/tmp/logcheck.XXXXXX) \
Comment 1 Edwin Groothuis freebsd_committer 2009-12-25 17:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Greg Larkin freebsd_committer 2009-12-30 19:10:47 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Boris,

logcheck 1.2.69 has a new logtail2 script that's used instead of
logtail, but the patch file extra-patch-src__logcheck.in in the PR
switches it back to logtail.

Do you know if logtail2 is preferred, and if so, some additional files
in src/detectrotate need to be installed.

Thank you,
Greg
- --
Greg Larkin

http://www.FreeBSD.org/           - The Power To Serve
http://www.sourcehosting.net/     - Ready. Set. Code.
http://twitter.com/sourcehosting/ - Follow me, follow you
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFLO6W30sRouByUApARAluDAJ9mnFfN19KBJNB7uGIth9FqGIqkoQCfeEwD
dII/lm9sgDLbYYoU8RdqaIk=
=f3si
-----END PGP SIGNATURE-----
Comment 3 Greg Larkin freebsd_committer 2009-12-31 00:00:22 UTC
State Changed
From-To: open->feedback

Waiting for clarification from submitter.
Comment 4 dfilter service freebsd_committer 2010-01-18 22:38:13 UTC
glarkin     2010-01-18 22:38:05 UTC

  FreeBSD ports repository

  Modified files:
    security/logcheck    Makefile distinfo pkg-plist 
    security/logcheck/files extra-patch-src__logcheck.in 
  Added files:
    security/logcheck/files extra-patch-src__logtail2.in 
  Log:
  - Updated to 1.2.69 [1]
  - Added PORTSCOUT variable
  - Added patches to clean up some paths that violate hier(7)
  - Switched from using logtail to logtail2 (supports rotated log files)
  
  PR:             ports/142017
  Submitted by:   bsam [1]
  
  Revision  Changes    Path
  1.29      +9 -4      ports/security/logcheck/Makefile
  1.7       +3 -3      ports/security/logcheck/distinfo
  1.2       +3 -3      ports/security/logcheck/files/extra-patch-src__logcheck.in
  1.1       +11 -0     ports/security/logcheck/files/extra-patch-src__logtail2.in (new)
  1.12      +30 -0     ports/security/logcheck/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Greg Larkin freebsd_committer 2010-01-18 22:38:34 UTC
State Changed
From-To: feedback->closed

Committed with modifications, thank you!